
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>@Autowired与@Resource的区别 / iVAN</title>

    <meta name="description" content="@Autowired与@Resource的区别 1.@Autowired与@Resource都可以用来装配bean. 都可以写在字段上,或写在setter方法上. 2.@Autowired默认按类型装配(这个注解是属业spring的),默认情况下必须要求依赖对象必须存在,如果要允许null 值,可以设置它的required属性为false,如:@Autowired(required=false) ,如果我们想使用名称装配可以结合@Qualifier注解进行使用,如下: Java代码 @Autowired() @Qualifier(&quot; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">@Autowired与@Resource的区别</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1、@Autowired与@Resource都可以用来装配bean. 都可以写在字段上,或写在setter方法上。 <br />2、@Autowired默认按类型装配（这个注解是属业spring的），默认情况下必须要求依赖对象必须存在，如果要允许null 值，可以设置它的required属性为false，如：@Autowired(required=false) ，如果我们想使用名称装配可以结合@Qualifier注解进行使用，如下：</p>
<p>Java代码</p>
<pre><code>@Autowired() @Qualifier("baseDao")
private BaseDao baseDao;
</code></pre>
<p>3、@Resource（这个注解属于J2EE的），默认安照名称进行装配，名称可以通过name属性进行指定，如果没有指定name属性，当注解写在字段上时，默认取字段名进行按照名称查找，如果注解写在setter方法上默认取属性名进行装配。 当找不到与名称匹配的bean时才按照类型进行装配。但是需要注意的是，如果name属性一旦指定，就只会按照名称进行装配。</p>
<p>Java代码</p>
<pre><code>@Resource(name="baseDao")
private BaseDao baseDao;</code></pre>
<p>他们的主要区别就是@Autowired是默认按照类型装配的 @Resource默认是按照名称装配的byName 通过参数名 自动装配，如果一个bean的name 和另外一个bean的 property 相同，就自动装配。byType 通过参数的数据类型自动自动装配，如果一个bean的数据类型和另外一个bean的property属性的数据类型兼容，就自动装配</p>
<p>@Resource注解属于J2EE的，减少了与spring的耦合。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-23 01:40:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/bean/" title="bean">bean</a>, <a href="https://www.iamivan.net/tag/spring/" title="spring">spring</a>, <a href="https://www.iamivan.net/tag/j2ee/" title="j2ee">j2ee</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>@Autowired与@Resource的区别的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zengvxb.html" rel="bookmark">Autowired与Resource的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.@Autowired与@Resource都可以用来装配bean. 都可以写在字段上,或写在setter方法上.  2.@Autowired默认按类型装配(这个注解是属业spring的),默认情况下必须要求依赖对象必须存在,如果要允许null 值,可以设置它的required属性为false,如:@Autowired(required=false) ,如果我们想使用名称装配可以结合@Qualifier注解进行使用,如下:  Java代码   1.  @Autowired() @Qualifie			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAAjgvM.html" rel="bookmark">《Spring攻略（第2版）》&mdash;&mdash;1&period;12　用&commat;Autowired和&commat;Resource自动装配Bean</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.12 用@Autowired和@Resource自动装配Bean 1.12.1 问题 在Bean配置文件中设置autowire属性进行的自动装配将装配一个Bean的所有属性.这样的灵活性不足以仅仅装配特定的属性.而且,你只能通过类型或者名称自动装配Bean.如果这两种策略都不能满足你的需求,就必须明确地装配Bean. 1.12.2 解决方案 从Spring 2.5起,自动装配功能进行了多处改进.你可以通过用@Autowired或者@Resource(在JSR-250:Java平台常见注解中定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Q5P6p.html" rel="bookmark">注解，&commat;Qualifier&plus;&commat;Autowired  和 &commat;Resource</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目中,对于AOP的使用,就是通过用注解来注入的. 更改之前的注解,是使用:@Qualifier+@Autowired   但是,通过这样注解,在项目启动阶段,需要自动扫描的过程是非常缓慢的,项目的启动时间为:227756ms   227秒 可以说,算是缓慢了.更改任何一个问题,只要是需要重启的时候,都需要浪费很长的时间去等待项目的部署和重启. 今天,公司的架构师,更改了注解的方式, 使用:@Resource 然后,更改后项目的启动时间明显缩短了,项目的启动时间是:95696ms 95秒 可以说			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zO25L3p.html" rel="bookmark">Spring &commat;Autowired、&commat;Resource、&commat;Required、&commat;Component、&commat;Repository、&commat;Service、&commat;Controller注解的用法和作用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring @Autowired,@Resource,@Required注解的用法和作用 Spring中 @Autowired标签与 @Resource标签 的区别 Spring注解@Component.@Repository.@Service.@Controller区别			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBgO2OM.html" rel="bookmark">&commat;resource和&commat;autowired的区别是什么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 @autowired和@resource的区别 解决方案 解决方案二:@Resource的作用相当于@Autowired,只不过@Autowired按byType自动注入,而@Resource默认按byName自动注入罢了.@Resource有两个属性是比较重要的,分是name和type,Spring将@Resource注解的name属性解析为bean的名字,而type属性则解析为bean的类型.所以如果使用name属性,则使用byName的自动注入策略,而使用type属性时则使用by			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5vD9M.html" rel="bookmark">【浅谈JavaEE框架】Spring中&commat;Autowired标签与&commat;Resource标签的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				@Autowired  Spring 2.5 引入了 @Autowired 注释,它可以对类成员变量.方法及构造函数进行标注,完成自动装配的工作.  通过 @Autowired的使用来消除 set ,get方法.   要实现我们要精简程序的目的. @Autowired默认按照类型进行注入 @Autowired @Qualifier(&quot;personDaoxxx&quot;)这样就是按照名称进行装配 @Autowired(required=true)必须注入值,不能为null,为false无论注入什			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWo8wp.html" rel="bookmark">Spring中 &commat;Autowired标签与 &commat;Resource标签 的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Spring不但支持自己定义的@Autowired注解,还支持由JSR-250规范定义的几个注解,如:@Resource. @PostConstruct及@PreDestroy. 1. @Autowired    @Autowired是Spring 提供的,需导入    Package:org.springframework.beans.factory.annotation.Autowired;    只按照byType 注入.2. @Resource    @Resource默认按 byNam			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjwLe5M.html" rel="bookmark">注解装配-&commat;Inject注解不能用，&commat;Autowired注解可以</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 @Inject注解不能用,@Autowired注解可以 为什么使用@Autowired可以,而换成@Inject就会出错,使用@Inject需要什么条件 或者什么配置吗! 解决方案 把inject注解所在的jar包 import进来 解决方案二: @Autowired注解@Resource,@Autowired注解@Autowired或@Resource注解 解决方案三: http://blog.csdn.net/u013516966/article/details/39405513			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq7W3Gz.html" rel="bookmark">spring-关于Resource注入原型对象的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于Resource注入原型对象的问题 spring初学者,发现一个spring(或javaEE)关于注入原型对象的问题.请大牛们帮忙看看是我理解不对,还是spring或者javaEE的bug? 背景: 1.定义两个类分别是A和B,同时这两个类都定义为原型(即:scope=&quot;prototype&quot;): 2.A中一个属性定义的为B类型,即:A实例的创建过程中是需要注入一个B实例到A中的: 3.spring使用的3.1.2.RELEASE版本,jdk为1.6.0_10 测试方法及结			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPygmz.html" rel="bookmark" class="title">我的J2ME编程练习（7）&mdash;&mdash;Canvas2</a>
					<div>
						编程   /* * Canvas2let.java * * Created on 2005年4月19日, 下午5:27 */import javax.microedition.midlet.*;imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo67o3z.html" rel="bookmark" class="title">32位处理器升级到64位之后迁移oracle db遇到的问题</a>
					<div>
						处理器由32位变成了64位,重装oracle软件之后,权衡各种因素,db我选择了把冷备直接挂接的办法迁移,迁移之后遇到了问题... 顺利挂载db之后,通过应用程序或者第三方工具(如plsql deve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj722dM.html" rel="bookmark" class="title">针对持续交付管理构建作业</a>
					<div>
						对于不断演进中的产品,持续交付(CD)使其开发到产品交付的过程更加简单.持续集成(CI)位 于持续交付过程的开始阶段,它扮演了这个过程中的重要角色,由它定义软件开发过程. 在书 上和网上可以查到很多持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyVYdb.html" rel="bookmark" class="title">sshd系统自带启动脚本详解</a>
					<div>
						SSH 为 Secure Shell 的缩写.sshd服务是linux系统中最经常使用的服务之一.由于其规避了明文传送口令.内容本文及中间人攻击的安全隐患,因此经常作为远程管理系统的首选方案.虽然各个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7lVab.html" rel="bookmark" class="title">让网站变成黑白的css代码</a>
					<div>
						让网站变成黑白的css代码.如何实现呢?之前,一直以为很难,偶然间在及格网上发现,原来这么简单,现在和大家分享下css知识,只要在CSS加上下面一句话即可. body{     filter:gray ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRN7Lz.html" rel="bookmark" class="title">Excel 2016图表美化4个技巧</a>
					<div>
						  选择正确的图形 首先要确定的是,哪种类型的图形更适合你要表现的数据.比如饼图适合部分与整体的比较,条形图适合显示增量类别之间的差异等等.像下面的这个图,饼图看起来都很相似,而在条形图中,差别就一目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRyOaz.html" rel="bookmark" class="title">Excel表格中怎么快速分离英文字符串&quest;</a>
					<div>
						Excel教程 Excel表格中怎么快速分离英文字符串?   一.固定数目的中英文分离 1.如果Excel的单元格中,中文与英文在一起,但是中文数目固定(例如,图示案例中,单元格前2个字符是中文).我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6X03z.html" rel="bookmark" class="title">在PowerPoint 2007里把PPT文档批量转为PDF</a>
					<div>
						在Office 2007中,要把PPT转换成PDF格式很简单,但如果要把大量的PPT转换成PDF就是一件很难的事情了,因为PowerPoint2007(下文简称PPT2007)本身不支持批量转换,不过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK8O3M.html" rel="bookmark" class="title">PHP的引用详解</a>
					<div>
						 本文这里向大家全面展示了PHP的引用,十分的详细,搭配示例,是篇非常不错的文章,推荐给有需要的小伙伴们参考下.     引用是什么 在 PHP 中引用意味着用不同的名字访问同一个变量内容.这并不像  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLKmvb.html" rel="bookmark" class="title">iis 7设置目录权限需要注意的问题</a>
					<div>
						  前段时间在windows server 2008 r2 (x64)服务器上配置好IIS 7.5+PHP(FASTCGI)+MYSQL以后,运行一直还算正常.直到昨天因为在线备份mysql失败而焦头 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZOoqz.html" rel="bookmark" class="title">利用抠图功能制作漂亮的泡泡效果</a>
					<div>
						今天三联小编和大家分享的是利用可牛影像为大家提供的抠图功能,为图片添加上泡泡效果,这里我们还用到了可牛影像为大家提供的非主流印泡泡饰品;大家一起来动手做一下吧. 效果图   1.打开要做的图片;    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWkV6p.html" rel="bookmark" class="title">数据市场API产品接入-前置条件</a>
					<div>
						提供API服务类商品前,请确认以下的前置条件是否满足: 通过实名认证的 阿里云账号 开通 API网关 业务 云市场 服务商入驻 下面针对每一个步骤给出说明或帮助文档. 通过实名认证的阿里云账号 若没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamBwnb.html" rel="bookmark" class="title">CCAI中国人工智能大会活动第一天报道</a>
					<div>
						CCAI中国人工智能大会于2017年7月22日开幕,中生代技术群友吕张城在前方发来报道 1.李德毅(中国工程院院士,中国人工智能学会理事长) 简介和杭州的渊源 介绍了人工智能对未来的发展   2.谭铁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQr1W8M.html" rel="bookmark" class="title">Cardboard Unity SDK Reference 翻译版</a>
					<div>
						最近正在准备雅思,趁机翻译了Cardboard的文档,这个文档挂在谷歌官网上,不翻墙根本看不了,翻了墙这个网页也很不稳定,经常上不去,所以就搬运了过来,不过我英语水平实在有限,这次翻译也是对自己的一次 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDW3OLp.html" rel="bookmark" class="title">数据库A数据导入数据库B的问题</a>
					<div>
						问题描述 数据库A数据导入数据库B的问题 我用的是 insert into 数据库A.dbo.TableA select * from 数据库B.dbo.TableA 但是现在想要把数据库A中表A的  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJko6wb.html" rel="bookmark" class="title">移动-这个javascript哪错了&CenterDot;&CenterDot;&CenterDot;&CenterDot;&CenterDot;&CenterDot;</a>
					<div>
						问题描述 这个javascript哪错了······ 新人,想写个图片移动代码,从右下移动到指定位置,然后往右再移动.开发&quot;&gt; 解决方案 &lt;head&gt; &lt;script ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxY06Gp.html" rel="bookmark" class="title">easyui-Extjs和EasyUI选择哪个比较好</a>
					<div>
						问题描述 Extjs和EasyUI选择哪个比较好 最近想多学习一个前端框架,在Extjs和EasyUI上没取舍好,用过的人给点建议吧,谢谢 解决方案 Easyui是轻量级框架,应用难度.范围都比较小, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRWPKp.html" rel="bookmark" class="title">各位大神看过来-小弟有一问题关于sql语言查询</a>
					<div>
						问题描述 小弟有一问题关于sql语言查询 小弟在开发的时候遇到一个问题,oa项目中有一个打卡记录显示列表,显示的字段里面有四个打卡时间,分别是上午上班时间,上午下班时间,下午上班时间,下午下班时间,分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZg09Yb.html" rel="bookmark" class="title">&lbrack;转&rsqb;SQL 2005中pivot and unpivot的用法</a>
					<div>
						 .Pivot的用法体会: 语句范例: select PN,[2006/5/30] as [20060530],[2006/6/2] as [20060602] from consumptiondat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z9WDz.html" rel="bookmark" class="title">java&period;util&period;Scanner简单应用</a>
					<div>
						import java.util.Scanner; import java.io.*; public class FileScannerTest{     public static void mai ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAVoJp.html" rel="bookmark" class="title">android toast设置比Toast&period;LENGTH&lowbar;SHORT还短的持续时间</a>
					<div>
						最近接触android开发,很多东西使用的时候都没考虑到通用性,比如我经常使用的toast,系统自带的Toast.LENGTH_LONG是3.5秒,Toast.LENGTH_SHORT是2秒,我们有的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7xAkz.html" rel="bookmark" class="title">木马-linux服务器流出流量过大</a>
					<div>
						问题描述 linux服务器流出流量过大 linux服务器连接困难 ping时大量丢包 服务商反映是流出流量过大下载了iftop安装在服务器上进行监视 发现确实有大量的流量流向外部ip平均每秒20m 尝 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0X6Ap.html" rel="bookmark" class="title">法国研究人员找到破解WannaCry方法：不用赎金</a>
					<div>
						5月20日消息,据路透社报道,法国研究人员周五表示,他们已经为技术人员找到能够挽救被WannaCry勒索病毒加密的Windows文件的最后机会.WannaCry发布者威已胁开始锁定一周前被该病毒感染的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV77xQb.html" rel="bookmark" class="title">php入门教程 精简版&lowbar;php基础</a>
					<div>
						下面我绿苹果带大家走进PHP的入门之路 说明: 我这里暂时是以 Apache web server 和 MY SQL 作为WEB服务器和数据库,在php-4.3.3下的环境做的程序.当然要简单的构建和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Qd8ap.html" rel="bookmark" class="title">asp&period;net EncryptHelper 加密帮助类&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: /************************************************** * 版权所有: Mr_Sheng * 文 件 名: EncryptHelp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW76gqM.html" rel="bookmark" class="title">jquery遍历各种用法</a>
					<div>
						下面是一个函数(省略了前后代码),用于实现表格行条纹效果:  代码如下:  代码如下 复制代码 function stripe() { $('#news').find('tr.alt').remove ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYNDAb.html" rel="bookmark" class="title">获取数组中最大最小值方法js代码&lpar;自写&rpar;&lowbar;javascript技巧</a>
					<div>
						现在获取数组中最大最小值用的越来越多了,于是乎我编了个方法供大家使用.代码如下,若有问题可以与我联系,咱们一起学习一起进步. 复制代码 代码如下: function getMaximin (arr,m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jGZvp.html" rel="bookmark" class="title">winform中如何禁用checkedListBox的某一项</a>
					<div>
						问题描述 winform中如何使checkedListBox的某一项禁用,也就是使某一项变灰,不能操作,还望各位大神们赐教 解决方案 解决方案二:自绘,自己绘制效果,并当触发勾选事件时,不作处理					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvqN1M.html" rel="bookmark" class="title">Android历史消息导入后，消息顺序是乱的</a>
					<div>
						问题描述 如题,导入历史消息后,从会话中获取出来的消息顺序是乱的,没有按照时间先后来排,导致从会话取得最后一条消息不是最新消息 解决方案 这个就是根据你消息插入的顺序来排序的,你需要自己根据时间重新排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRl5jz.html" rel="bookmark" class="title">svn服务器搭建和使用（二）</a>
					<div>
						首先打开VisualSVN Server Manager,如图: 可以在窗口的右边看到版本库的一些信息,比如状态,日志,用户认证,版本库等.要建立版本库,需要右键单击左边窗口的Repositores, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
